Apache Tomcat 7.0.42

## org.apache.coyote.http11
Class InternalAprOutputBuffer

    java.lang.Object
      org.apache.coyote.http11.AbstractOutputBuffer<Long>
          org.apache.coyote.http11.InternalAprOutputBuffer

All Implemented Interfaces:
  OutputBuffer

    public class InternalAprOutputBuffer

extends AbstractOutputBuffer<Long>

Output buffer.

Author:
  Remy Maucherat

Nested Class Summary
`protected class` `InternalAprOutputBuffer.SocketOutputBuffer` This class is an output buffer which will write data to an output stream.

Field Summary

Fields inherited from class org.apache.coyote.http11.AbstractOutputBuffer
`activeFilters, buf, byteCount, committed, filterLibrary, finished, lastActiveFilter, outputStreamOutputBuffer, pos, response, sm`

Constructor Summary
`InternalAprOutputBuffer(Response response, int headerBufferSize)` Default constructor.

Method Summary
`protected void` `commit()` Commit the response.
`void` `endRequest()` End request.
`void` `flush()` Flush the response.
`void` `init(SocketWrapper<Long> socketWrapper, AbstractEndpoint endpoint)`
`void` `recycle()` Recycle the output buffer.
`void` `sendAck()` Send an acknowledgment.

Methods inherited from class org.apache.coyote.http11.AbstractOutputBuffer
`addActiveFilter, addFilter, doWrite, endHeaders, getBytesWritten, getFilters, nextRequest, reset, sendHeader, sendStatus, write, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalAprOutputBuffer

    public InternalAprOutputBuffer(Response response,
                                   int headerBufferSize)

  Default constructor.

Method Detail

### init

    public void init(SocketWrapper<Long> socketWrapper,
                     AbstractEndpoint endpoint)
              throws IOException

  Specified by:
    `init` in class `AbstractOutputBuffer<Long>`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Flush the response.

  Overrides:
    `flush` in class `AbstractOutputBuffer<Long>`
  Throws:
    `IOException` - an underlying I/O error occurred

### recycle

    public void recycle()

  Recycle the output buffer. This should be called when closing the connection.

  Overrides:
    `recycle` in class `AbstractOutputBuffer<Long>`

### endRequest

    public void endRequest()
                    throws IOException

  End request.

  Overrides:
    `endRequest` in class `AbstractOutputBuffer<Long>`
  Throws:
    `IOException` - an underlying I/O error occurred

### sendAck

    public void sendAck()
                 throws IOException

  Send an acknowledgment.

  Specified by:
    `sendAck` in class `AbstractOutputBuffer<Long>`
  Throws:
    `IOException`

### commit

    protected void commit()
                   throws IOException

  Commit the response.

  Specified by:
    `commit` in class `AbstractOutputBuffer<Long>`
  Throws:
    `IOException` - an underlying I/O error occurred

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.